> ## Documentation Index
> Fetch the complete documentation index at: https://docs.evermind.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Topic

> Fetch a single topic with full content.



## OpenAPI

````yaml /api-reference/openapi-oss.json get /api/v1/knowledge/topics/{topic_id}
openapi: 3.1.0
info:
  title: everos
  description: md-first memory extraction framework
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/knowledge/topics/{topic_id}:
    get:
      tags:
        - knowledge
      summary: Get Topic
      description: Fetch a single topic with full content.
      operationId: get_topic_route_api_v1_knowledge_topics__topic_id__get
      parameters:
        - name: topic_id
          in: path
          required: true
          schema:
            type: string
            pattern: ^d_[a-f0-9]{12,32}_\d+$
            title: Topic Id
        - name: app_id
          in: query
          required: false
          schema:
            type: string
            title: App Id
            default: default
        - name: project_id
          in: query
          required: false
          schema:
            type: string
            title: Project Id
            default: default
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessEnvelope_TopicDetailResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    SuccessEnvelope_TopicDetailResponse_:
      properties:
        request_id:
          type: string
          title: Request Id
        data:
          $ref: '#/components/schemas/TopicDetailResponse'
      type: object
      required:
        - request_id
        - data
      title: SuccessEnvelope[TopicDetailResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TopicDetailResponse:
      properties:
        topic_id:
          type: string
          title: Topic Id
        doc_id:
          type: string
          title: Doc Id
        category_id:
          type: string
          title: Category Id
        topic_name:
          type: string
          title: Topic Name
        topic_path:
          type: string
          title: Topic Path
        depth:
          type: integer
          title: Depth
        summary:
          type: string
          title: Summary
        content:
          type: string
          title: Content
        content_labels:
          items:
            type: string
          type: array
          title: Content Labels
        parent_topic_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Parent Topic Id
        children_topic_ids:
          items:
            type: string
          type: array
          title: Children Topic Ids
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - topic_id
        - doc_id
        - category_id
        - topic_name
        - topic_path
        - depth
        - summary
        - content
        - content_labels
        - parent_topic_id
        - children_topic_ids
        - created_at
        - updated_at
      title: TopicDetailResponse
      description: Response for GET /topics/{topic_id}.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````